Skip to main content
GET
Show a designation-only checkout page

Path Parameters

client_id
integer
required

Client id that owns the designation checkout page, donor form, and available designations.

hysform_id
integer
required

Donor HysForm id used to list public signup fields and standardized donor fields.

designation_id
string
required

Designation selector. all returns all client designations that include this HysForm; otherwise the controller loads the specified designation id.

session_id
string
required

Optional Redis frontend session id. If missing or expired, the controller creates a new session and initializes checkout cart hashes.

Response

Designation-only checkout payload.

status
string
Example:

"success"

data
object